$(document).ready(inicializar);


function inicializar() {

    document.getElementById("frregistro").style.display = "none";
    document.getElementById("frantecedentes").style.display = "none";
    document.getElementById("frlicpos").style.display = "none";
    document.getElementById("frlicposq").style.display = "none";
    document.getElementById("frtrabajo").style.display = "none";

    $("#tags").autocomplete({
        source: function(request, response) {


            if (request.term.length >= 3) {
                if ($(this)[0]["search_ajax"])
                    $(this)[0]["search_ajax"].abort();

                $(this)[0]["search_ajax"] = $.ajax({
                    data: {
                        busqueda: request.term
                    },
                    type: "POST",
                    dataType: "json",
                    url: "controller/ListaCentroTrabajo.php",
                    success: function(data) {
                        response($.map(data, function(item) {
                            return {
                                id: item.Escuela,
                                clave: item.Clave,
                                nombre: item.Nombre,
                                value: item.Clave + " || " + item.Nombre,
                                sub: item.Sub,
                                estado: item.Estado,
                                municipio: item.Municipio
                            };
                        }));
                    }
                });
            }
        },
        select: function(event, ui) {

            console.log(ui);

        }
    });

    $('#BtnGuardarV').on('click', function(e) {
        var formulario = document.getElementById('frmvaucher');
        if (formulario.checkValidity()) {
            $('.nav-tabs a[href="#home"]').tab('show');
            document.getElementById("frregistro").style.display = "block";
            document.getElementById("frantecedentes").style.display = "block";
            document.getElementById("frlicpos").style.display = "block";
            document.getElementById("frlicposq").style.display = "block";
            document.getElementById("frtrabajo").style.display = "block";

        }
    });

    $('#BtnGuardarDatos').on('click', function(e) {
        e.preventDefault();

        $('.nav-tabs').find('a[href="' + $(this).data('target') + '"]').click();
    });

    $('#mcajero').on('click', function(e) {
        e.preventDefault();
        $("#myModal").modal("show");

    });
    $('#mventanilla').on('click', function(e) {
        e.preventDefault();
        $("#ModalVentanilla").modal("show");

    });
    // $('a[rel=popover]').popover({
    //   html: true,
    //   trigger: 'hover',
    //   placement: 'bottom',
    //   content: function(){return '<img src="'+$(this).data('img') + '" height="240" width="240"/>';}
    // });

    $('#frotros').hide();
    $('#frinstitucionotros').hide();
    $('#pInformacion1').hide();
    $('#pInformacion2').hide();
    $("#BtnRegistrar").click(function(e) {

        var formulario = document.getElementById('DatosRegistro');
        if (formulario.checkValidity()) {
            SetDatos();
        }

    });

    $("#frtrabaja").change(function() {
        var trabajo = $("#frtrabaja").val();


        if (trabajo == 2 || trabajo == "") {

            $('#pInformacion1').hide();
            $('#pInformacion2').hide();
        } else {
            $('#pInformacion1').show();
            $('#pInformacion2').show();
        }


    });

    $("#frsede").change(function() {
        var sede = $("#frsede").val();


        if (sede == 5) {
            $('#frotros').show();
        } else {
            $('#frotros').hide();
        }


    });

    $("#frinstitucion").change(function() {
        var institucion = $("#frinstitucion").val();


        if (institucion == 5) {
            $('#frinstitucionotros').show();
        } else {
            $('#frinstitucionotros').hide();
        }


    });

    $("#frlicenciatura").change(function() {
        var opcion = $("#frlicenciatura").val();
        console.log(opcion);

        if (opcion == "") {
            swal("Seleccione una carrera", "", "error");
        } else {
            SetTabla(opcion);
            //console.log("www");
        }


    });

}

function SetTabla(pOpcion) {
    $("#contenidoMateria").empty();
    $.ajax({
        data: {
            pTaller: pOpcion
        },
        type: "POST",
        dataType: "json",
        url: "getMaestria.php",
    })
        .done(function(data, textStatus, jqXHR) {
            if (console && console.log) {
                var Listado = data;

                SetDateTable(Listado);

            }
        })
        .fail(function(jqXHR, textStatus, errorThrown) {
            if (console && console.log) {
                alert("La solicitud a fallado: " + textStatus);
            }
        });
}

function SetDateTable(pDatos) {
    var tablaDatos = $("#contenidoMateria");
    for (var i = 0; i < pDatos.length; i++) {
        var listado = pDatos[i];
        var tr = $("<tr class='info'><td align='center'>" + listado.clave + "</td><td align='center'>" + listado.materia + "</td><td align='center'>" + listado.creditos + "</td></tr>");
        tr[0]["infoAsignatura"] = listado;
        tablaDatos.append(tr);
    }
    localStorage.setItem("matriculasmateriainscripcion", JSON.stringify(pDatos));
    $('.nav-tabs a[href="#menu3"]').tab('show')
}


function Contador(pTallerSeleccionado) {

    $.ajax({
        data: {
            pIdentificador: pTallerSeleccionado
        },
        type: "POST",
        dataType: "json",
        url: "Contador.php",
    })
        .done(function(data, textStatus, jqXHR) {
            var Resultado = data;

            var Ncontador = Resultado[0].CuposTaller;

            if (Ncontador > 0) {

                $("#pMensaje").html('<span style="color: green;" class="glyphicon glyphicon-ok" aria-hidden="true"></span> <font style="color: green;">Cupos Disponibles:' + Ncontador + '</font>');
            } else {

                $("#pMensaje").html(' <span style="color: red;" class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span> <font style="color: red;">No hay cupos disponibles, Seleccione otro taller.</font>');
            }

            $("#pContador").val(Ncontador);

        })
        .fail(function(jqXHR, textStatus, errorThrown) {
            if (console && console.log) {
                alert("La solicitud a fallado: " + textStatus);
            }
        });

}


function SetDatos() {
    var Nombre = $("#pNombre").val();
    var Apellido = $("#pApellido").val();
    var Genero = $("#pGenero").val();
    var RFC = $("#pRFC").val();
    var Telefono = $("#pTelefono").val();
    var Email = $("#pEmail").val();
    var Taller = $("#pTaller").val();
    var con = $("#pContador").val();

    if (con == 0) {
        alert("Seleccione otro taller, este no tiene cupo");
    } else {
        $.ajax({
            data: {
                pNombre: Nombre.toUpperCase(),
                pApellidos: Apellido.toUpperCase(),
                pGeneros: Genero,
                pRfc: RFC,
                pTel: Telefono,
                pCorreo: Email,
                pTalleres: Taller
            },
            type: "POST",
            dataType: "json",
            url: "SetParticipantes.php",
        })
            .done(function(data, textStatus, jqXHR) {
                var Resultado = data;
                if (Resultado.success) {
                    alert(Resultado.message);
                } else {
                    location.href = "tcpdf/examples/ReferenciaBancaria.php?nombre=" + Nombre + "&ape=" + Apellido + "&tal=" + Taller + "";


                    //alert(Resultado.message);
                    $("#DatosRegistro")[0].reset();
                    $("#pContador").val("");
                    ListarGenero(0);
                    ListarTaller(0);
                    $("#pMensaje").html("");
                }
            })
            .fail(function(jqXHR, textStatus, errorThrown) {
                if (console && console.log) {
                    alert("La solicitud a fallado: " + textStatus);
                }
            });
    }

}


function ListarGenero(seleccion) {

    $("#pGenero").empty();
    $.ajax({
        data: {},
        type: "GET",
        dataType: "json",
        url: "ListaGenero.php",
    })
        .done(function(data, textStatus, jqXHR) {
            var Resultado = data;

            $("#pGenero").append("<option value=''>Seleccione....</option>");
            for (var i = 0; i < Resultado.length; i++) {

                var combo = Resultado[i];

                $("#pGenero").append("<option value='" + combo.ValueMember + "'>" + combo.DisplayMember + "</option>");
            }
            if (seleccion)
                $("#pGenero").val(seleccion);

        })
        .fail(function(jqXHR, textStatus, errorThrown) {
            if (console && console.log) {
                alert("La solicitud a fallado: " + textStatus);
            }
        });

}

function ListarTaller(seleccion) {

    $("#pTaller").empty();
    $.ajax({
        data: {},
        type: "GET",
        dataType: "json",
        url: "ListaTaller.php",
    })
        .done(function(data, textStatus, jqXHR) {
            var Resultado = data;

            $("#pTaller").append("<option value=''>Seleccione....</option>");
            for (var i = 0; i < Resultado.length; i++) {

                var combo = Resultado[i];

                $("#pTaller").append("<option value='" + combo.ValueMember + "'>" + combo.DisplayMember + "</option>");
            }
            if (seleccion)
                $("#pTaller").val(seleccion);

        })
        .fail(function(jqXHR, textStatus, errorThrown) {
            if (console && console.log) {
                alert("La solicitud a fallado: " + textStatus);
            }
        });

}
